DUMPE2FS(8)

NAME
dumpe2fs - dump filesystem information

SYNOPSIS
dumpe2fs [ -bfhV ] [ -ob superblock ] [ -oB blocksize ] device

DESCRIPTION
dumpe2fs prints the super block and blocks group information for the filesystem present on device.

dumpe2fs is similar to Berkeley's dumpfs program for the BSD Fast File System.

OPTIONS

-b  print the blocks which are reserved as bad in the filesystem.

-ob superblock
    use the block superblock when examining the filesystem. This option is not usually needed except by a filesystem wizard who is examining the remains of a very badly corupted filesystem.

-oB blocksize
    use blocks of blocksize bytes when examining the filesystem. This option is not usually needed except by a filesystem wizard who is examining the remains of a very badly corupted filesystem.

-f  force dumpe2fs to display a filesystem even though it may have some filesystem feature flags which dumpe2fs may not understand (and which can cause some of dumpe2fs's display to be suspect).

-h  only display the superblock information and not any of the block group descriptor detail information.

-V  print the version number of dumpe2fs and exit.

BUGS
You need to know the physical filesystem structure to understand the output.

AUTHOR
dumpe2fs was written by Remy Card <card@masi.ibp.fr>, the developer and maintainer of the ext2 fs.

AVAILABILITY
dumpe2fs is part of the e2fsprogs package and is available for anonymous ftp from tsx-11.mit.edu in /pub/linux/packages/ext2fs.

SEE ALSO
e2fsck(8), mke2fs(8), tune2fs(8)